Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.repository
Class FileSystemRepository

    java.lang.Object
      com.pmease.quickbuild.repository.Repository
          com.pmease.quickbuild.repository.FileSystemRepository

All Implemented Interfaces:
  java.io.Serializable

public class FileSystemRepository
extends Repository

A simple file system based repository.

Author:
  robin shine
See Also:
  Serialized Form

Constructor Summary
`FileSystemRepository()`

Method Summary
`protected void` | `buildFinished(Build build)` Indicates build has finished.
`protected void` | `checkout(Build build)` Check out codes for specified build.
`protected void` | `cleanupCheckoutStarted(java.lang.String workingDir, org.apache.log4j.Logger logger)` Give the repository a chance to do something before clean up checkouts.
`Revisions` | `getChangeListSince(DependentContext dependentContext, java.util.Date date, java.lang.String workingDir, org.apache.log4j.Logger logger)` Get change list since specified date.
`java.lang.Class` | `getModuleClazz()`
`java.lang.String` | `getSourceDir()` OGNL: Specify source directory of this repository.
`protected void` | `label(Build build, java.lang.String label, java.lang.String comment)` Label checked out artifacts from this repository.
`void` | `setSourceDir(java.lang.String sourceDir)`

Methods inherited from class com.pmease.quickbuild.repository.Repository
`cleanupCheckoutStarted, doCheckout, doLabel, equals, getChangeListSince, getDate2Revisions, getEditor, getLoginMappingName, getLoginMappingNameSelectionModel, getModules, getName, getNameChoices, getQuietPeriod, hashCode, isCheckedOut, isModified, isModifiedSince, isQuietSince, notifyBuildFinished, resolveOgnlExpressions, setEditor, setLoginMappingName, setName, setQuietPeriod, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileSystemRepository

    public FileSystemRepository()

Method Detail

### getSourceDir

    public java.lang.String getSourceDir()

  OGNL: Specify source directory of this repository. Changes can be detected in the source directory based on modification time, and modified files under this directory will be copied to the configuration's checkouts directory to perform build.

  Returns:

### setSourceDir

    public void setSourceDir(java.lang.String sourceDir)

### label

    protected void label(Build build,
                         java.lang.String label,
                         java.lang.String comment)

  Description copied from class: `Repository`
  Label checked out artifacts from this repository. OGNL expressions have been resolved before call this method.

  Specified by:
    `label` in class `Repository`
  Parameters:
    `build` -

### cleanupCheckoutStarted

    protected void cleanupCheckoutStarted(java.lang.String workingDir,
                                          org.apache.log4j.Logger logger)

  Description copied from class: `Repository`
  Give the repository a chance to do something before clean up checkouts. OGNL expressions have been resolved before call this method.

  Specified by:
    `cleanupCheckoutStarted` in class `Repository`
  Parameters:
    `workingDir` -
    `logger` -

### buildFinished

    protected void buildFinished(Build build)

  Description copied from class: `Repository`
  Indicates build has finished. OGNL expressions have been resolved before call this method.

  Specified by:
    `buildFinished` in class `Repository`
  Parameters:
    `build` -

### checkout

    protected void checkout(Build build)

  Description copied from class: `Repository`
  Check out codes for specified build. OGNL expressions have been resolved before call this method.

  Specified by:
    `checkout` in class `Repository`
  Parameters:
    `build` -

### getModuleClazz

    public java.lang.Class getModuleClazz()

  Specified by:
    `getModuleClazz` in class `Repository`

### getChangeListSince

    public Revisions getChangeListSince(DependentContext dependentContext,
                                        java.util.Date date,
                                        java.lang.String workingDir,
                                        org.apache.log4j.Logger logger)

  Description copied from class: `Repository`
  Get change list since specified date. OGNL expressions have been resolved before call this method.

  Specified by:
    `getChangeListSince` in class `Repository`
  Parameters:
    `dependentContext` -
    `date` -
    `workingDir` -
    `logger` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.